<?
/***************************************************************************
                          homeAdmin.php -  Configration file
                             -------------------
    begin                : Mars  UTC 2001
    copyright            : (C) 2002 by NADAL Jean-Baptiste
    email                : jbnadal@ifrance.com
 ***************************************************************************
 *
 *  Page Principale pour l'administration du site de l'Harmonie de
 *  Montpellier-Jacou
 *
 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************
 * $Id: homeAdmin.php,v 1.6 2002/07/24 23:34:59 jb Exp $
 ***************************************************************************/

require "conf.php";
require "Archi.php";
include "cadre.php";
include "lib_print_admin.php";
require "ErreurConnect.php";

/* On vérifie avant d'afficher quoi que ce soit que la requete est valide
 * Connexion au serveur de BDD */
$connexion = jb_sql_connect(true);

/* On verifie que la page appellée contient bien le meme identifiant que la
 * page enregistrée sur la base*/

$requete=mysql_db_query($sql_bdd, "select pseudo from $table_users ".
                        "where id=\"$id\"", $connexion);

/* Si l'Id est différent -> Alors on affiche la page d'erreur */
$resultat = mysql_num_rows($requete);
/* On a terminé avec la connexion avec la base -> On ferme la connexion */
mysql_close($connexion);
if($resultat == 0) {
   /* Redirection vers la page d'erreur */
   header("Location:$url_erreur");
}
else {
   /* Sinon  On Affiche l'ossature du site */
   $pOssature = new Archi ("HautAdmin.html", "", "");
   $pOssature->AffichePartieHaut(0, 0);
   echo "<center><b><font face=\"Verdana, Arial, Helvetica, sans-serif\" ".
      "size=\"7\" color =red>\n";
   echo "ADMINISTRATION DU SITE </font></b><br><br>\n";
   
   /* Puis on affiche le cadre qu'il faut celon la page qui a été demandée */
   switch ($page)  {

      case "M_edito" :
         if ($action == "valider") {
            MiseAjourTable($id, $titre, $texte, $datecourante, "cadre_edito", 
                           "Editorial");
            include ("news.php");
            $mesNews = new News($id);
            $mesNews->Ajoute(1, $datecourante, ""); 
         }
         else
            AfficheModeficationCadreDB($action, $id, "cadre_edito", "M_edito");
         break;
      case "M_Hist" :
         if ($action == "valider") {
            MiseAjourTable($id, $titre, $texte, $datecourante,
                           "cadre_Historique", "Historique");
            include ("news.php");
            $mesNews = new News($id);
            $mesNews->Ajoute(2, $datecourante, ""); 
         }
         else
            AfficheModeficationCadreDB($action, $id, "cadre_Historique",
                                       "M_Hist");
         break;
      case "M_revue" :
         if ($action == "valider") {
            MiseAjourTable($id, $titre, $texte, $datecourante,
                           "cadre_la_Revue", "La Revue");
            include ("news.php");
            $mesNews = new News($id);
            $mesNews->Ajoute(11, $datecourante, ""); 
         }
         else
            AfficheModeficationCadreDB($action, $id, "cadre_la_Revue",
                                       "M_revue");
         break;
      case "M_Fonctionnement" :
         if ($action =="valider") {
            MiseAjourTable($id, $titre, $texte, $datecourante,
                           "cadre_Fonctionnement", "Fonctionnement");
            include ("news.php");
            $mesNews = new News($id);
            $mesNews->Ajoute(5, $datecourante, ""); 
         }
         else
            AfficheModeficationCadreDB($action, $id, "cadre_Fonctionnement",
                                       "M_Fonctionnement");
         break;
      case "M_Contacts" :
         if ($action == "valider") {
            MiseAjourTable($id, $titre, $texte, $datecourante,
                           "cadre_Contacts", "Contacts");
            include ("news.php");
            $mesNews = new News($id);
            $mesNews->Ajoute(6, $datecourante, ""); 
         }
         else
            AfficheModeficationCadreDB($action, $id, "cadre_Contacts",
                                       "M_Contacts");
         break;
      case "ModRepIndex" :
         if ($action == "valider")
            MiseAjourTable($id, $titre, $texte, $datecourante,
                           "cadre_Repertoire", "Repertoire");
         else {
            AfficheModeficationCadreDB($action, $id, "cadre_Repertoire",
                                       "ModRepIndex");
         }
         break;
      case "M_Recrutement" :
         if ($action == "valider") {
            include ("news.php");
            MiseAjourTable($id, $titre, $texte, $datecourante,
                           "cadre_Recrutement", "Recrutement", $nligneTable);
            $mesNews = new News($id);
            $mesNews->Ajoute(7, $datecourante, ""); 
         }
         else {
            if ($nligneTable == "")
               print_AdminRecrutement($nligneTable, $id);
            else
               AfficheModeficationCadreDB($action, $id, "cadre_Recrutement",
                                          "M_Recrutement", $nligneTable);
         }
         break;
      case "AdmLivOR" :
         print_AdminLivre_OR($livorPage);
         break;
      case "AdmDownload" :
         include "Annuaire.php";
         print_Admindownload($id, $action, $elem, $nom, $url, $description,
                             $urlmini, $sizeurl, $sizeurlmini);
         break;
      case "AdmUsers":
         include "AnnuUsers.php";
         print_AdmUsers($id,$action, $elem, $pseudo, $password, $email, 
                        $state);
         break;
      case "AdmLinks" :
         include  "Annuaire.php";
         print_AdminLinks($id, $action, $elem, $nom, $url, $description, 
                          $type);
         break;
      case "M_Rep" :
         include "AnnuRepertoire.php";
         print_AdminRepertoire($id, $action, $elem, $num, $nom, $compositeur,
                               $style);
         break;
      case "M_InfoC" :
         include  "AnnuAgenda.php";
         /* On va formater les différents paramètres afin de pouvoir remplir
          * les champs. On commence par la liste des morceaux 
          */
         if (($nAction == "ValideAjouter") || ($nAction == "ValideModifier")) 
         {
            $deb=0;
            for ($i=1; $i <= $nbmorceaux; $i++) {
               if ($deb == 0)
                  $listemorceaux = ${"morceau_".$i};
               else
                  $listemorceaux = $listemorceaux.";".${"morceau_".$i};
               $deb++;
            }
            /* Puis la date que l'on passe au format php. */
            $datephp = mktime($heure, $Mins, 0, $month, $day, $year);
            if ($day <= 9)
               $day = "0$day";
            if ($month <= 9)
               $month = "0$month";
            $dateTexte = "$day / $month / $year";
            $heuredeb = "$heure h $Mins";
/*            echo "nb morceaux $nbmorceaux  <br>
                        heure : $heure <br>
                        Mins : $Mins<br>
                        vile : $ville <br>
                        lieu : $lieu <br>
                        Jour : $day <br>
                        Mois : $month<br>
                        Année : $year<br>
                        elem : $elem<br>
                        commentaire : $commentaire <br>
                        nbmorceaux : $nbmorceaux <br>
                        morceaux : $listemorceaux  <br>\n";*/
         } // fin if

         print_AdminAgenda($id, $nAction, $elem, $dateTexte, $datephp,
                           $heuredeb, $ville, $lieu, $listemorceaux,
                           $commentaire, $Forcenb);
         break;
      case "SuppElemLVOR" :
         print_Supp_Element_Liv_OR($id, $num_id, $action);
         break;
      case "StatSite" :
         //print_Statistique($id,$mois,$moistexte,$annee,$mod);
         print_Statistique($id);
         /*AfficheErreur(
                "Désolé, cette fonction n'est pas encore implémentée",
                 date("d/m/Y H:i") );
         */
         break;
      case "Journal" :
         print_Journal_Modification();
         break;
      case "AdmNews":
         print_News($id, $numNews, $datecourante, $newsTxt);
         break;
      default:
         break;
   }
   $pOssature->AffichePartieBas();
}

?>
